<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
  <meta charset="UTF-8">
  <title>SI-BKD Program Studi</title>
</head>
<body>

<div layout:fragment="main" class="container">
  <div class="row justify-content-center">
    <div class="col-md-8">
      <div th:if="${success != null}" class="alert alert-success" role="alert">
        <span th:text="${success}"></span>
      </div>

      <div class="row mb-4">
        <div class="col-md-8">
          <h3 class="text-black">Daftar Program Studi</h3>
        </div>
        <div class="col-md-4 justify-content-end" align="right">
          <button type="button" class="btn btn-outline-success pull-right" data-bs-toggle="modal" data-bs-target="#modal-form">
            + Tambah Program Studi
          </button>
          <div class="modal fade" id="modal-form" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered">
              <div class="modal-content">
                <form class="form-horizontal" th:action="@{/prodi/simpan}" th:object="${programStudi}" method="post">
                  <div class="modal-header">
                    <h5 class="modal-title" style="color: #F78100">Tambah Podi</h5>
                  </div>
                  <div class="modal-body">
                    <div class="mb-3 row">
                      <label for="namaProgramStudi" class="col-sm-4 col-form-label">Program Studi</label>
                      <div class="col-sm-8">
                        <input type="text" class="form-control" th:field="*{namaProgramStudi}" name="namaProgramStudi" id="namaProgramStudi">
                      </div>
                    </div>
                    <input type="hidden" name="id" th:field="*{id}">
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-outline-secondary pull-left" data-bs-dismiss="modal">Batal</button>
                    <button type="submit" class="btn btn-success mx-2">Simpan</button>
                  </div>
                </form>
              </div>
            </div>
          </div>

        </div>
      </div>
      <form method="get">
      <div class="row mb-4">
        <div class="col-md-3">
          Show entries <span sd:page-size-selector="javascript"></span>
        </div>
        <div class="col-md-8">
          <input type="text" name="search" th:value="${search}" class="form-control" placeholder="Cari program studi berdasarkan nama" aria-label="First name">
        </div>
        <div class="col-md-1 d-grid gap-2">
          <button class="btn btn-success">Cari</button>
        </div>
      </div>
      </form>
      <div class="row mb-5">
        <div class="col-md-12 table-responsive">
          <table class="table table-striped table-responsive mb-3">
            <thead class="table-dark bg-success align-middle text-center" style="--bs-table-bg:bg-success;">
            <tr>
              <th class="p-3" width="10px">No</th>
              <th class="p-3">Nama Program Studi</th>
              <th class="p-3" width="10px"></th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="dataProgramStudi,row : ${listProgramStudi}">
              <td class="align-middle text-end" th:text="${(row.index + 1) + (listProgramStudi.number * listProgramStudi.size)}">1</td>
              <td class="align-middle text-start" th:text="${dataProgramStudi.getNamaProgramStudi()}">Adi Mulya Suprayogi</td>
              <td class="align-middle text-center" width="5px">
<!--                <a class="btn btn-warning" th:href="@{/prodi/edit(programStudi=${dataProgramStudi.getId()})}">Edit</a>-->

                <button type="button" class="btn btn-warning" data-bs-toggle="modal" th:attr="data-bs-target='#modaledit'+${dataProgramStudi.getId()}">
                  Edit
                </button>
                <div class="modal fade" th:id="modaledit+${dataProgramStudi.getId()}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                  <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content">
                      <form class="form-horizontal" th:action="@{/prodi/update}" method="post">
                        <div class="modal-header">
                          <h5 class="modal-title" style="color: #F78100">Ubah Podi</h5>
                        </div>
                        <div class="modal-body">
                          <div class="mb-3 row">
                            <label for="namaProgramStudi" class="col-sm-4 col-form-label">Program Studi</label>
                            <div class="col-sm-8">
                              <input type="text" class="form-control" th:value="${dataProgramStudi.getNamaProgramStudi()}" name="namaProgramStudi">
                            </div>
                          </div>
                          <input type="hidden" name="id" th:value="${dataProgramStudi.getId()}">
                        </div>
                        <div class="modal-footer">
                          <button type="button" class="btn btn-outline-secondary pull-left" data-bs-dismiss="modal">Batal</button>
                          <button type="submit" class="btn btn-success mx-2">Simpan</button>
                        </div>
                      </form>
                    </div>
                  </div>
                </div>
              </td>
            </tr>
            </tbody>
          </table>

          <nav>
            <ul class="pagination" sd:pagination="full">
              <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
              <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
              <li class="active bg-success"><a href="#">1 <span class="sr-only">(current)</span></a></li>
            </ul>
          </nav>
        </div>
      </div>

    </div>
  </div>


</div>
</body>
</html>